[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTabControl.GetImageIndex

Gets the ordinal position for the image displayed on the tab for the specified page.

## Declaration

Source position: comctrls.pp line 477

`public function TCustomTabControl.GetImageIndex(`
`ThePageIndex: Integer`
`):Integer; virtual;`

## Arguments

`ThePageIndex` |  | Ordinal position in Page with the image index for the tab.

## Function result

Ordinal position in Images for the specified page index.

## Description

GetImageIndex is an Integer function used to get the ordinal position in Images for the image displayed on the specified tab. ThePageIndex contains the Page examined in the method to get its ImageIndex property. If Page does not have a TCustomPage instance at the position in ThePageIndex, -1 is used as the image index.

GetImageIndex signals the OnGetImageIndex event handler (when assigned) to allow a custom image index to be used in the return value.

GetImageIndex is called from methods in the widgetset class when the image displayed on a tab is needed.

## See also

TCustomTabControl.Page |  | Provides indexed access to the page objects used on the tabbed control.
TCustomTabControl.PageIndex |  | Ordinal position for the selected page on the tabbed control.
TCustomTabControl.TabIndex |  | Contains the ordinal position for the active Tab in the control.
TCustomTabControl.Images |  | Contains the images displayed on the tabs for the control.
TCustomTabControl.OnGetImageIndex |  | Event handler signalled to get the image index for a tab on the tabbed control.
TCustomPage.ImageIndex |  | Ordinal position for the image associated with the page.